SDL_EventQueue Struct Reference
Collaboration diagram for SDL_EventQueue:
[legend]

## Data Fields

SDL_EventQueueEntry | entries [MAX_ENTRIES]
char | cache_pad1 [SDL_CACHELINE_SIZE-((sizeof(SDL_EventQueueEntry)*MAX_ENTRIES)%SDL_CACHELINE_SIZE)]
SDL_atomic_t | enqueue_pos
char | cache_pad2 [SDL_CACHELINE_SIZE-sizeof(SDL_atomic_t)]
SDL_atomic_t | dequeue_pos
char | cache_pad3 [SDL_CACHELINE_SIZE-sizeof(SDL_atomic_t)]
SDL_SpinLock | lock
SDL_atomic_t | rwcount
SDL_atomic_t | watcher
char | cache_pad4 [SDL_CACHELINE_SIZE-sizeof(SDL_SpinLock)-2 *sizeof(SDL_atomic_t)]
volatile SDL_bool | active
SDL_mutex * | mutex

## Detailed Description

Definition at line 265 of file testatomic.c.

## Field Documentation

volatile SDL_bool SDL_EventQueue::active

Definition at line 287 of file testatomic.c.

Referenced by FIFO_Reader(), FIFO_Watcher(), InitEventQueue(), and RunFIFOTest().

char SDL_EventQueue::cache_pad1[SDL_CACHELINE_SIZE-((sizeof(SDL_EventQueueEntry)*MAX_ENTRIES)%SDL_CACHELINE_SIZE)]

Definition at line 269 of file testatomic.c.

char SDL_EventQueue::cache_pad2[SDL_CACHELINE_SIZE-sizeof(SDL_atomic_t)]

Definition at line 273 of file testatomic.c.

char SDL_EventQueue::cache_pad3[SDL_CACHELINE_SIZE-sizeof(SDL_atomic_t)]

Definition at line 277 of file testatomic.c.

char SDL_EventQueue::cache_pad4[SDL_CACHELINE_SIZE-sizeof(SDL_SpinLock)-2 *sizeof(SDL_atomic_t)]

Definition at line 284 of file testatomic.c.

SDL_atomic_t SDL_EventQueue::dequeue_pos

Definition at line 275 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), DequeueEvent_Mutex(), and InitEventQueue().

SDL_atomic_t SDL_EventQueue::enqueue_pos

Definition at line 271 of file testatomic.c.

Referenced by EnqueueEvent_LockFree(), EnqueueEvent_Mutex(), and InitEventQueue().

SDL_EventQueueEntry SDL_EventQueue::entries[MAX_ENTRIES]

Definition at line 267 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), DequeueEvent_Mutex(), EnqueueEvent_LockFree(), EnqueueEvent_Mutex(), and InitEventQueue().

SDL_SpinLock SDL_EventQueue::lock

Definition at line 280 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), EnqueueEvent_LockFree(), FIFO_Watcher(), and InitEventQueue().

SDL_mutex* SDL_EventQueue::mutex

Definition at line 290 of file testatomic.c.

Referenced by DequeueEvent_Mutex(), EnqueueEvent_Mutex(), and RunFIFOTest().

SDL_atomic_t SDL_EventQueue::rwcount

Definition at line 281 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), EnqueueEvent_LockFree(), FIFO_Watcher(), and InitEventQueue().

SDL_atomic_t SDL_EventQueue::watcher

Definition at line 282 of file testatomic.c.

Referenced by DequeueEvent_LockFree(), EnqueueEvent_LockFree(), FIFO_Watcher(), and InitEventQueue().

The documentation for this struct was generated from the following file:

- test/testatomic.c